Tip / Sign in to post questions, reply, level up, and achieve exciting badges. Know more

cross mob
Spencer_Jiang
Level 1
Level 1
First solution authored First reply posted First question asked

Hello,

I'd like to find out how to update the component if there is no downloadable information on my Component Update Tool page in PSoC Creator 4.5.

As is shown in the picture below, the current version of LIN is 6.0 but the newest version I could choose is 5.0 and there is no downloadable information for new version. The same problem happens on component ADC_SAR_SEQ_P4.

11111.png

0 Likes
1 Solution

Hi @Ekta ,

I have solved the problem by copying the documents for the newer version of the component to my library from my colleague. Actually I don't know why we use PSoC Creator 4.5, designs can work normally in this version. Another answer @pa24 may be similar to my solution. Thank you all for your reply! @Len_CONSULTRON 

BEST Regards

Spencer

View solution in original post

0 Likes
6 Replies
Ekta
Moderator
Moderator
Moderator
750 replies posted First like given 250 solutions authored

Hi @Spencer_Jiang 

I tried using PSoC Creator 4.4 and I could see the LIN 6.0 version of the component.
Can you try going to Tools > Find new components > in the component installer search for LIN

Ekta_0-1683870365128.png
I have not tried this PSoC Cretor 4.5, but it worked for me in PSoC Creator 4.4.

Best Regards
Ekta

 

0 Likes

Hi Ekta,

Thanks for your reply. But I have tried it in PSoC Cretor 4.5, there is no new version information about LIN component. Even there is not any new version about all component. I don't know what's the exact problem  about my component installer.

 

2.png

Spencer

 

0 Likes

@Spencer_Jiang ,

Interesting.   The last officially published release of PSoC Creator is 4.4.

Infineon has indicated that there are NO PLANS to advance PSoC Creator.   Their direction is to concentrate on improvements to ModusToolBox which is current at 3.0.

Len
"Engineering is an Art. The Art of Compromise."
0 Likes

It seems some of the CCGx type-c controllers share hardware with PSoC and using PSoC Creator for firmware development.

PSoC Creator 4.5 is included in EZ-PD Host SDK:

https://softwaretools.infineon.com/tools/com.ifx.tb.tool.ezpdhostsdk

It's quite interesting, but unfortunately this version was released back in 2021 just to support specific hardware.

I think in the latest generation of PSoC we see that development focus moved from original concept of functional diversity and programmable digital/analog blocks to more generic devices, which we saw in PSoC 6 family. UDB blocks was replaced by much more simple SmartIO ports, programmable analog frontend based on switched capacitors also exists only in some specific devices. It seems UDB and programmable analog are not so popular due to it's added comlexity both in programming and in manufacturing (originally PSoC was built on special SONOS manufacturing process, and it seems it's quite complex task to port hardware blocks containing UDBs and analog parts to another factories to scale and optimize production).

 

 

 

0 Likes
Ekta
Moderator
Moderator
Moderator
750 replies posted First like given 250 solutions authored

Hi @Spencer_Jiang 

Could you let me know if there is any specific reason for using PSoC Creator 4.5? Is it possible for you to move to PSO Creator 4.4?

As mentioned by @pa24  the last official release od PSoC Creator is version 4.4 which can be found here: https://softwaretools.infineon.com/tools/com.ifx.tb.tool.psoccreator
This could be one of the reasons why PSoC Creator 4.5 does not support the latest version of the LIN component.

Thanks and Regards
Ekta

0 Likes

Hi @Ekta ,

I have solved the problem by copying the documents for the newer version of the component to my library from my colleague. Actually I don't know why we use PSoC Creator 4.5, designs can work normally in this version. Another answer @pa24 may be similar to my solution. Thank you all for your reply! @Len_CONSULTRON 

BEST Regards

Spencer

0 Likes